Subject: Re: bug#60638: `eval-print-last-sexp` fail to recognize `'##`

From: Ruijie Yu <[email-masked]>
Date: Sat, 07 Jan 2023 23:53:41 -0600

Xie Shynur <[email-masked]> writes:

> in GNU Emacs 28.2 (build 2, x86_64-w64-mingw32) of 2022-09-13:
>
> Switch buffer to *scratch* and type "233 <RET> '## <RET>", like:
>
> ```
> 233
>  '##
> ```
>
> Then `C-j`, the command `eval-print-last-sexp` will eval "233" BUT "'##".

Confirmed on 28.2, apparently fixed on 29 (see my version below).

In GNU Emacs 28.2 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.36, cairo version 1.17.6)
 of 2023-01-05 built on fw.net.yu
Windowing system distributor 'The X.Org Foundation', version 11.0.12201007
System Description: Arch Linux

In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.36, cairo version 1.17.6) of 2023-01-05 built on ruijie
Repository revision: 8a18369afdc3a873881e7b19b75e94ca96791c84
Repository branch: makepkg
System Description: Arch Linux

Best,

RY